\solutionSection

$ g'(x)=x^{2}+2(a+2)x+a^{2}+4a-12. $

Находим критические точки:
$ g'(x)=0,$ $x^{2}+2(a+2)x+a^{2}+4a-12=0 $

$ D_{1}=(a+2)^{2}-(a^{2}+4a-12)=16, $  $ \sqrt{D_{1}}=4. $

$ x_{1}=-a-6; $ $ x_{2}=-a+2; $ $ x_{1},x_{2} $- точки экстремума.

По условию

$$\left \{ \begin{array}{l}
-a-6\geq-2,\\
-a+2\leq 9;\\
\end{array} \right. $$

$$\left \{ \begin{array}{l}
a\leq-4,\\
a\geq-7.\\
\end{array} \right. $$

Таким образом, $ -7\leq a\leq -4 $.